const char *std_tokens[] = {
	"END", /* 80 */
	"FOR", /* 81 */
	"NEXT", /* 82 */
	"READ", /* 83 */
	"DATA", /* 84 */
	"RESTORE", /* 85 */
	"LINE", /* 86 */
	"INPUT", /* 87 */
	"DEFSTR", /* 88 */
	"DEFINT", /* 89 */
	"DEFDBL", /* 8a */
	"DEFSNG", /* 8b */
	"OPTION", /* 8c */
	"DIM", /* 8d */
	"COMMON", /* 8e */
	"DEF", /* 8f */
	"LET", /* 90 */
	"RANDOMIZE", /* 91 */
	"GOTO", /* 92 */
	"GOSUB", /* 93 */
	"RETURN", /* 94 */
	"GO", /* 95 */
	"RUN", /* 96 */
	"IF", /* 97 */
	"REM", /* 98 */
	"\"", /* 99 */
	"'", /* 9a */
	"!", /* 9b */
	"ELSE", /* 9c */
	"THEN", /* 9d */
	"STOP", /* 9e */
	"CONT", /* 9f */
	"RESUME", /* a0 */
	"ERROR", /* a1 */
	"ON", /* a2 */
	"AFTER", /* a3 */
	"POKE", /* a4 */
	"WAIT", /* a5 */
	"MOVE", /* a6 */
	"LOAD", /* a7 */
	"SAVE", /* a8 */
	"VERIFY", /* a9 */
	"MERGE", /* aa */
	"PRINT ", /* ab */
	"PRINT", /* ac */
	"LIST", /* ad */
	"AUTO", /* ae */
	"DEL", /* af */
	"TRON", /* b0 */
	"TROFF", /* b1 */
	"RENUM", /* b2 */
	"OPEN", /* b3 */
	"CLOSE", /* b4 */
	"GET", /* b5 */
	"PUT", /* b6 */
	"NOTE", /* b7 */
	"LOCK", /* b8 */
	"UNLOCK", /* b9 */
	"KILL", /* ba */
	"NAME", /* bb */
	"GRAPHICS", /* bc */
	"COLOR", /* bd */
	"PLOT", /* be */
	"FILL", /* bf */
	"SETCOLOR", /* c0 */
	"SOUND", /* c1 */
	"CLS", /* c2 */
	"DOS", /* c3 */
	"CLEAR", /* c4 */
	"NEW", /* c5 */
	"CLOAD", /* c6 */
	"CSAVE", /* c7 */
	"\"", /* c8 */
	"\"", /* c9 */
	"\"", /* ca */
	"\"", /* cb */
	"\"", /* cc */
	"\"", /* cd */
	"\"", /* ce */
	"\"", /* cf */
	"\"", /* d0 */
	"BASE", /* d1 */
	"TAB(", /* d2 */
	"TO", /* d3 */
	"SUB", /* d4 */
	"\"", /* d5 */
	"SPC(", /* d6 */
	"NOT", /* d7 */
	"STEP", /* d8 */
	"ALL", /* d9 */
	"USING", /* da */
	"RESERVE", /* db */
	"UPDATE", /* dc */
	"OUTPUT", /* dd */
	"APPEND", /* de */
	"AT(", /* df */
	"AT ", /* e0 */
	"PLM0", /* e1 */
	"PLM2", /* e2 */
	"PLM1", /* e3 */
	"CHR0", /* e4 */
	"CHR1", /* e5 */
	"CHR2", /* e6 */
	"\"", /* e7 */
	"\"", /* e8 */
	"\"", /* e9 */
	"\"", /* ea */
	"\"", /* eb */
	"\"", /* ec */
	"\"", /* ed */
	"+", /* ee */
	"-", /* ef */
	"*", /* f0 */
	"/", /* f1 */
	"^", /* f2 */
	"AND", /* f3 */
	"OR", /* f4 */
	"XOR", /* f5 */
	">", /* f6 */
	"=", /* f7 */
	"<", /* f8 */
};

const char *ext_tokens[] = {
	"SGN", /* ffa3 */
	"INT", /* ffa4 */
	"ABS", /* ffa5 */
	"FRE", /* ffa6 */
	"POS", /* ffa7 */
	"SQR", /* ffa8 */
	"LOG", /* ffa9 */
	"EXP", /* ffaa */
	"COS", /* ffab */
	"SIN", /* ffac */
	"TAN", /* ffad */
	"ATN", /* ffae */
	"PEEK", /* ffaf */
	"LEN", /* ffb0 */
	"STR$", /* ffb1 */
	"VAL", /* ffb2 */
	"ASC", /* ffb3 */
	"CHR$", /* ffb4 */
	"STATUS", /* ffb5 */
	"EOF", /* ffb6 */
	"LEFT$", /* ffb7 */
	"RIGHT$", /* ffb8 */
	"MID$", /* ffb9 */
	"INSTR", /* ffba */
	"STRING$", /* ffbb */
	"VARPTR", /* ffbc */
	"USR", /* ffbd */
	"SCRN$", /* ffbe */
	"RND", /* ffbf */
	"TIME$", /* ffc0 */
	"TIME", /* ffc1 */
	"INKEY$", /* ffc2 */
	"ERR", /* ffc3 */
	"ERL", /* ffc4 */
	"STACK", /* ffc5 */
};
