const char *bxl_cmds[] = {
	"WHILE",       /* $38 */
	"ENDWHILE",    /* $39 */
	"TRACEOFF",    /* $3A */
	"TRACE",       /* $3B */
	"ELSE",        /* $3C */
	"ENDIF",       /* $3D */
	"DPOKE",       /* $3E */
	"LOMEM",       /* $3F */
	"DEL",         /* $40 */
	"RPUT",        /* $41 */
	"RGET",        /* $42 */
	"BPUT",        /* $43 */
	"BGET",        /* $44 */
	"TAB",         /* $45 */
	"CP",          /* $46 */
	"ERASE",       /* $47 */
	"PROTECT",     /* $48 */
	"UNPROTECT",   /* $49 */
	"DIR",         /* $4A */
	"RENAME",      /* $4B */
	"MOVE",        /* $4C */
	"MISSILE",     /* $4D */
	"PMCLR",       /* $4E */
	"PMCOLOR",     /* $4F */
	"PMGRAPHICS",  /* $50 */
	"PMMOVE",      /* $51 */
	"PMWIDTH",     /* $52 */
	"SET",         /* $53 */
	"LVAR",        /* $54 */
	"RENUM",       /* $55 */
	"FAST",        /* $56 */
	"NUM",         /* $57 */
	"END",         /* $58 */
	0,             /* $59 */
	"",            /* $5A, disk extensions */
};

const int bxl_cmd_size = sizeof(bxl_cmds);

const char *bxl_ops[] = {
	" USING ",       /* $55 */
	"%",             /* $56 */
	"!",             /* $57 */
	"&",             /* $58 */
	";",             /* $59 */
	"BUMP(",         /* $5A */
	"FIND(",         /* $5B */
	"HEX$",          /* $5C */
	"RANDOM(",       /* $5D */
	"DPEEK",         /* $5E */
	"SYS",           /* $5F */
	"VSTICK",        /* $60 */
	"HSTICK",        /* $61 */
	"PMADR",         /* $62 */
	"ERR",           /* $63 */
	"TAB",           /* $64 */
	"PEN",           /* $65 */
	"LEFT$(",        /* $66 */
	"RIGHT$(",       /* $67 */
	"MID$(",         /* $68 */
};

const int bxl_ops_size = sizeof(bxl_ops);
